libstdc++: __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc > Class Template Reference

libstdc++

__gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc > Class Template Reference

`#include <point_const_iterator.hpp>`

Inheritance diagram for __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >:
[legend]

## Public Types
typedef rebind_traits< _Alloc, value_type >::const_pointer | const_pointer
typedef rebind_traits< _Alloc, value_type >::const_reference | const_reference
typedef trivial_iterator_difference_type | difference_type
typedef trivial_iterator_tag | iterator_category
typedef rebind_traits< _Alloc, value_type >::pointer | pointer
typedef rebind_traits< _Alloc, value_type >::reference | reference
typedef Value_Type | value_type

## Public Member Functions
| binary_heap_point_const_iterator_ ()
| binary_heap_point_const_iterator_ (const binary_heap_point_const_iterator_ &other)
| binary_heap_point_const_iterator_ (entry_pointer p_e)
bool | operator!= (const binary_heap_point_const_iterator_ &other) const
const_reference | operator* () const
const_pointer | operator-> () const
bool | operator== (const binary_heap_point_const_iterator_ &other) const

## Public Attributes
entry_pointer | m_p_e

## Protected Types
typedef rebind_traits< _Alloc, Entry >::pointer | entry_pointer

## Detailed Description

template<typename Value_Type, typename Entry, bool Simple, typename _Alloc>
class __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >

Const point-type iterator.

Definition at line 55 of file binary_heap_/point_const_iterator.hpp.

## Member Typedef Documentation

## ◆ const_pointer

template<typename Value_Type, typename Entry, bool Simple, typename _Alloc>

typedef rebind_traits<_Alloc,value_type>::const_pointer __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::const_pointer

Iterator's const pointer type.

Definition at line 75 of file binary_heap_/point_const_iterator.hpp.

## ◆ const_reference

template<typename Value_Type, typename Entry, bool Simple, typename _Alloc>

typedef rebind_traits<_Alloc,value_type>::const_reference __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::const_reference

Iterator's const reference type.

Definition at line 83 of file binary_heap_/point_const_iterator.hpp.

## ◆ difference_type

template<typename Value_Type, typename Entry, bool Simple, typename _Alloc>

typedef trivial_iterator_difference_type __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::difference_type

Difference type.

Definition at line 65 of file binary_heap_/point_const_iterator.hpp.

## ◆ entry_pointer

template<typename Value_Type, typename Entry, bool Simple, typename _Alloc>

typedef rebind_traits<_Alloc,Entry>::pointer __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::entry_pointer
| protected

Definition at line 58 of file binary_heap_/point_const_iterator.hpp.

## ◆ iterator_category

template<typename Value_Type, typename Entry, bool Simple, typename _Alloc>

typedef trivial_iterator_tag __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::iterator_category

Category.

Definition at line 62 of file binary_heap_/point_const_iterator.hpp.

## ◆ pointer

template<typename Value_Type, typename Entry, bool Simple, typename _Alloc>

typedef rebind_traits<_Alloc,value_type>::pointer __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::pointer

Iterator's pointer type.

Definition at line 71 of file binary_heap_/point_const_iterator.hpp.

## ◆ reference

template<typename Value_Type, typename Entry, bool Simple, typename _Alloc>

typedef rebind_traits<_Alloc,value_type>::reference __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::reference

Iterator's reference type.

Definition at line 79 of file binary_heap_/point_const_iterator.hpp.

## ◆ value_type

template<typename Value_Type, typename Entry, bool Simple, typename _Alloc>

typedef Value_Type __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::value_type

Iterator's value type.

Definition at line 68 of file binary_heap_/point_const_iterator.hpp.

## Constructor & Destructor Documentation

## ◆ binary_heap_point_const_iterator_() [1/3]

template<typename Value_Type, typename Entry, bool Simple, typename _Alloc>

__gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::binary_heap_point_const_iterator_ | ( | entry_pointer | p_e | ) |
| inline

Definition at line 86 of file binary_heap_/point_const_iterator.hpp.

## ◆ binary_heap_point_const_iterator_() [2/3]

template<typename Value_Type, typename Entry, bool Simple, typename _Alloc>

__gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::binary_heap_point_const_iterator_ | ( |  | ) |
| inline

Default constructor.

Definition at line 91 of file binary_heap_/point_const_iterator.hpp.

## ◆ binary_heap_point_const_iterator_() [3/3]

template<typename Value_Type, typename Entry, bool Simple, typename _Alloc>

__gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::binary_heap_point_const_iterator_ | ( | const binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc > & | other | ) |
| inline

Copy constructor.

Definition at line 95 of file binary_heap_/point_const_iterator.hpp.

## Member Function Documentation

## ◆ operator!=()

template<typename Value_Type, typename Entry, bool Simple, typename _Alloc>

bool __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::operator!= | ( | const binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc > & | other | ) | const
| inline

Compares content (negatively) to a different iterator object.

Definition at line 122 of file binary_heap_/point_const_iterator.hpp.

## ◆ operator*()

template<typename Value_Type, typename Entry, bool Simple, typename _Alloc>

const_reference __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::operator* | ( |  | ) | const
| inline

Access.

Definition at line 109 of file binary_heap_/point_const_iterator.hpp.

## ◆ operator->()

template<typename Value_Type, typename Entry, bool Simple, typename _Alloc>

const_pointer __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::operator-> | ( |  | ) | const
| inline

Access.

Definition at line 101 of file binary_heap_/point_const_iterator.hpp.

## ◆ operator==()

template<typename Value_Type, typename Entry, bool Simple, typename _Alloc>

bool __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::operator== | ( | const binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc > & | other | ) | const
| inline

Compares content to a different iterator object.

Definition at line 117 of file binary_heap_/point_const_iterator.hpp.

## Member Data Documentation

## ◆ m_p_e

template<typename Value_Type, typename Entry, bool Simple, typename _Alloc>

entry_pointer __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::m_p_e

Definition at line 135 of file binary_heap_/point_const_iterator.hpp.

The documentation for this class was generated from the following file:

- binary_heap_/point_const_iterator.hpp